Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.simpleparser
Interface SimpleXMLDocHandler

All Known Implementing Classes:
  HTMLWorker, SimpleBookmark, SimpleNamedDestination, SimplePatternParser, XfdfReader

    public interface SimpleXMLDocHandler

The handler for the events fired by `SimpleXMLParser`.

Author:
  Paulo Soares (psoares@consiste.pt)

Method Summary
`void` | `endDocument()` Called after the document is parsed.
`void` | `endElement(String tag)` Called when an end tag is found.
`void` | `startDocument()` Called when the document starts to be parsed.
`void` | `startElement(String tag, HashMap h)` Called when a start tag is found.
`void` | `text(String str)` Called when a text element is found.

Method Detail

### startElement

    void startElement(String tag,
                      HashMap h)

  Called when a start tag is found.

  Parameters:
    `tag` - the tag name
    `h` - the tag's attributes

### endElement

    void endElement(String tag)

  Called when an end tag is found.

  Parameters:
    `tag` - the tag name

### startDocument

    void startDocument()

  Called when the document starts to be parsed.

### endDocument

    void endDocument()

  Called after the document is parsed.

### text

    void text(String str)

  Called when a text element is found.

  Parameters:
    `str` - the text element, probably a fragment.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD